Skip to main content
GET
/
v1
/
assets
/
{symbol}
/
market
Get Market Data for an Asset
curl --request GET \
  --url https://api.gm.ondo.finance/v1/assets/{symbol}/market \
  --header 'x-api-key: <api-key>'
{
  "primaryMarket": {
    "symbol": "ADBEon",
    "price": "361.986667",
    "priceChange24h": "8.76",
    "priceChangePct24h": "2.479993958100564361",
    "priceHistory24h": [
      {
        "timestamp": 1755802800000,
        "price": "353.226667"
      },
      {
        "timestamp": 1755803700000,
        "price": "353.216667"
      },
      "..."
    ],
    "totalHolders": 7,
    "sharesMultiplier": "1",
    "tradableSessions": [
      "premarket",
      "regular",
      "postmarket",
      "overnight"
    ]
  },
  "underlyingMarket": {
    "ticker": "ADBE",
    "name": "Adobe Inc.",
    "price": "361.986667",
    "priceHigh52w": "587.75",
    "priceLow52w": "330.04",
    "volume": "1851321",
    "averageVolume": "3610882",
    "sharesOutstanding": "424200000",
    "marketCap": "149925006000"
  },
  "timestamp": 1755890061815
}

Authorizations

x-api-key
string
header
required

Path Parameters

symbol
string
required

The GM token symbol

Response

OK

primaryMarket
object
required
underlyingMarket
object
required
timestamp
number
required

The Unix timestamp in milliseconds when the data was last updated.

Example:

1746655938000